Konqueror

From Free Software Directory
 
Jump to: navigation, search

[edit]

Konqueror

http://www.konqueror.org/
Web browser

Konqueror is the KDE file manager, browser, and viewing application. It is part of the kdebase distribution, so resources and download information for Konqueror can also be found on the KDE Web site (http://www.kde.org). It is HTML 4.0 compliant, and supports Javascript, bidirectional scripts, SSL, almost all of CSS (Cascading Style Sheets) 1 and most of CSS 2, and can house Java applets. As a file manager, it can display files in either tree or icon view, allows copying/moving/deleting by either drag-and-drop or cut/paste/delete, and provdes file properties and the ability to change file attributes. It automatically updates directories or deletes files without the user having to refresh or reload the directory. Konqueror can also view many different file types. It uses components (parts) to view various types of files; this functionality is not within Konqueror itself. This means that if you want to view a file that cannot already be viewed by a preexisting part, all you have to do is write such a part; there's no need to modify Konqueror itself.

Documentation

User FAQ available from http://www.konqueror.org/faq.html
"IRC Help" IRC Help channel
irc://openprojects.net/kde

Related Projects





Licensing

License

Verified by

Verified on

Notes

Verified by

Janet Casey

Verified on

22 August 2001




Leaders and contributors

Contact(s)Role
David Faure Maintainer


Resources and communication

AudienceResource typeURI
Bug TrackingVCS Repository Webviewhttp://bugs.kde.org/
DeveloperVCS Repository Webviewhttp://webcvs.kde.org/cgi-bin/cvsweb.cgi/kdebase/konqueror/
HelpE-mailmailto:kde-announce@kde.org
DeveloperE-mailmailto:kfm-devel@kde.org
Bug TrackingE-mailmailto:konq-bugs@mail.kde.org
Debian (Ref)https://tracker.debian.org/pkg/konqueror


Software prerequisites

KindDescription
Required to usekdelibs
Weak prerequisitelesstif
Required to buildkdelibs
Required to useQt
Weak prerequisitelibldap
Required to buildbunzip/bunzip2
Required to buildautomake 1.4
Weak prerequisitelibpcre
Required to buildautoconf 2.13
Weak prerequisitelibxml2
Required to builda C++ compiler which supports exceptions (recommended: egcs 1.1.x or gcc 2.95.x; gcc 3.0 is *not* recommended)
Weak prerequisitelibbz2
Required to buildQt

This entry (in part or in whole) was last reviewed on 21 February 2018.



Entry






Property "Submitted by" (as page type) with input value "{{{Submitted by}}}" contains invalid characters or is incomplete and therefore can cause unexpected results during a query or annotation process.











"Debian (Ref)" is not in the list (General, Help, Bug Tracking, Support, Developer) of allowed values for the "Resource audience" property.













































Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the page “GNU Free Documentation License”.

The copyright and license notices on this page only apply to the text on this page. Any software or copyright-licenses or other similar notices described in this text has its own copyright notice and license, which can usually be found in the distribution or license text itself.